%define name	audacity
%define version 1.3.2
%define fversion %version
%define subrel	1
%define release %mkrel 4

Summary:	Free Audio Editor With Effects/Analysis Tools
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
URL: 		http://audacity.sourceforge.net/
Source0: 	http://prdownloads.sourceforge.net/%{name}/%{name}-src-%{fversion}.tar.bz2
Source1:	%{name}_16x16.png
Source2:	%{name}_32x32.png
Source3:	%{name}_64x64.png
Patch: audacity-src-1.3.0-beta-xdg.patch
Patch1:		audacity-src-1.3.2-beta-soundtouch-non-x86.patch
Patch2: audacity-src-1.3.2-beta-flac.patch
Patch3:		audacity-1.3.2-CVE-2007-6061.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	wxgtku-devel < 2.7
BuildRequires:  libflac++-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:  libmad-devel
#BuildRequires:  libid3tag-devel
BuildRequires:	libsndfile-devel
buildrequires: 	zlib-devel
buildrequires: 	libalsa-devel
BuildRequires: 	autoconf2.5
BuildRequires: 	ImageMagick
BuildRequires: 	desktop-file-utils
BuildRequires: 	recode
#for compressing the help file:
BuildRequires:  zip
Obsoletes:	hackaudacity
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
Requires(post):	desktop-file-utils
Requires(postun):desktop-file-utils

%description
Audacity is a program that lets you manipulate digital audio waveforms.

In addition to letting you record sounds directly from within the program,
it imports many sound file formats, including WAV, AIFF, MP3 and Ogg/Vorbis.
It supports all common editing operations such as Cut, Copy, and Paste, plus
it will mix tracks and let you apply plug-in effects to any part of a sound.
It also has a built-in amplitude envelope editor, a customizable spectrogram
mode and a frequency analysis window for audio analysis applications.



%prep
%setup -q -n %{name}-src-%{fversion}-beta
%patch -p1 -b .xdg
%patch1 -p1 -b .ppc
%patch2 -p1 -b .flac
%patch3 -p1 -b .cve-2007-6061
chmod 644 *.txt
ln -s %_libdir/wx/config/`multiarch-platform`/gtk2-unicode-release-2.6 wx-config
recode Mac-Roman..l1 locale/fr.po
aclocal
autoconf
pushd lib-src/soundtouch
aclocal
automake --foreign
autoconf
popd


%build
export PATH=$PATH:`pwd`
export LDFLAGS=-lz
./configure --prefix=%_prefix --libdir=%_libdir --enable-optimise \
            --with-vorbis=system \
            --with-libmad=system \
	    --with-portaudio=v19 --without-portmixer \
            --with-libsndfile=system
make

%install
rm -rf %buildroot %name.lang
mkdir -p %buildroot/%_bindir
%makeinstall BINDIR=%buildroot%_bindir DATADIR=%buildroot%_datadir MANDIR=%buildroot%_mandir
mv %buildroot%_datadir/locale/zh %buildroot%_datadir/locale/zh_CN

#install help file
mkdir -p %buildroot/%_datadir/%name
cp audacity-1.2-help.htb %buildroot/%_datadir/%name

%{find_lang} %{name}

# Menu
mkdir -p %buildroot/%{_menudir}
cat > %buildroot/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Multimedia/Sound" \
title="Audacity" longtitle="Digital audio waveforms editor" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Multimedia" \
  --add-category="AudioVideoEditing;Recorder" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icon
mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
convert -transparent white %{SOURCE1} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
convert -transparent white %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

#clean uneeded installed but not packaged
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}

%clean
rm -rf %buildroot/

%post
%{update_menus}
%update_mime_database
%update_desktop_database

%postun
%{clean_menus}
%clean_mime_database
%clean_desktop_database

%files -f %{name}.lang
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%{_bindir}/*
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/audacity
%{_datadir}/applications/%name.desktop
%{_datadir}/mime/packages/audacity.xml
%{_mandir}/man1/audacity.1.bz2


%changelog
* Sat Mar 15 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.3.2-4.1mdv2007.1
- P3: security fix for CVE-2007-6061

* Tue Dec 12 2006 Götz Waschk <waschk@mandriva.org> 1.3.2-4mdv2007.0
+ Revision: 95230
- patch for new libflac

* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 1.3.2-3mdv2007.1
+ Revision: 76854
- fix French translation (bug #23469)

* Sun Nov 05 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.3.2-2mdv2007.1
+ Revision: 76690
- patch1: fix soundtouch build on non-x86(-64) archs

* Mon Oct 30 2006 Götz Waschk <waschk@mandriva.org> 1.3.2-1mdv2007.1
+ Revision: 73756
- new version
- drop merged patch 1
- drop obsolete source 4
- disable parallel make

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 1.3.0-9mdv2006.0
+ Revision: 64568
- bot-friendly buildrequires
- Import audacity



* Fri Oct 13 2006 Gtz Waschk <waschk@mandriva.org> 1.3.0-8mdv2007.1
- unpack patches
- build fix

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 1.3.0-7mdv2007.0
- fix zh locale
- fix build
- xdg menu

* Thu Apr 27 2006 Gtz Waschk <waschk@mandriva.org> 1.3.0-6mdk
- upgrade portaudio to svn snapshot

* Thu Apr 27 2006 Gtz Waschk <waschk@mandriva.org> 1.3.0-5mdk
- compile with portaudio v19 (requested by Antoine Pitrou)

* Mon Jan  2 2006 Gtz Waschk <waschk@mandriva.org> 1.3.0-4mdk
- fix directory ownership

* Wed Dec 14 2005 Gtz Waschk <waschk@mandriva.org> 1.3.0-3mdk
- fix bug 20156 (help file location)

* Thu Dec  1 2005 Gtz Waschk <waschk@mandriva.org> 1.3.0-2mdk
- fix desktop entry

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 1.3.0-1mdk
- register mime types
- update file list
- unicode build
- drop patches
- New release 1.3.0

* Sat Aug 27 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.2.3-4mdk
- rebuild, removed use of %%configure2_5x as something behind it is causing
  audacity after built and installed to segfault while running on a new
  installation or while making access to the "Preferences" window, below is
  the error:

  (audacity:12866): Gtk-CRITICAL **: gtk_accel_label_new: assertion `string != NULL' failed

  (audacity:12866): Gtk-CRITICAL **: gtk_misc_set_alignment: assertion `GTK_IS_MISC (misc)' failed

  (audacity:12866): Gtk-CRITICAL **: gtk_container_add: assertion `GTK_IS_WIDGET (widget)' failed

  (audacity:12866): Gtk-CRITICAL **: gtk_accel_label_set_accel_widget: assertion `GTK_IS_ACCEL_LABEL (accel_label)' failed
  Segmentation fault

* Mon Jun 13 2005 Gtz Waschk <waschk@mandriva.org> 1.2.3-3mdk
- work around broken wx-config

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 1.2.3-2mdk
- rebuild for new wxGTK

* Fri Nov 19 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- New release 1.2.3

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-4mdk
- rebuild for new wxGTK

* Mon Oct 11 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-3mdk
- C++ fixes
- parallel make now works it seems

* Tue Aug 31 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.2-2mdk
- new icons from Andr Pascual, Pierre Jarillon (bugzilla #10792)

* Thu Aug 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.2-1mdk
- patch2: fix some missing headers
- drop patch 0
- New release 1.2.2

* Wed Aug 18 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.1-4mdk
- enhanced large icon (Fabien ILLIDE)

* Mon Aug 16 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.1-3mdk
- make icons transparent (bugzilla #10792) 

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-2mdk
- patch for new g++

* Sun May  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- New release 1.2.1

* Wed Apr 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-2mdk
- fix build with wxGTK 2.5.1 (pangelo[at]dcc[dot]online.pt)

* Tue Mar  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- new version

* Wed Feb 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-0.pre4.1mdk
- drop patch 3
- new version

* Sun Nov  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-0.pre3.1mdk
- new version

* Tue Sep 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-0.pre2.1mdk
- don't depend on libsamplerate anymore
- use included libid3tag, as ours is too old 
- fix buildrequires
- new version

* Mon Aug 18 2003 Han Boetes <han@linux-mandrake.com> 1.2.0-0.pre1.2mdk
- Rebuild against latest wxGTK (just to make sure)

* Sun Aug  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-0.pre1.1mdk
- add help file
- build with system libsamplerate
- drop patch 2
- new version

* Fri Jun 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.3-4mdk
- fix buildrequires

* Tue Jun 24 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.3-3mdk
- rebuild

* Mon Mar 24 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.3-2mdk
- build against wxGTK2.5 (patch 3)

* Thu Mar 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.3-1mdk
- fix installation
- fix build
- buildrequires libflac++-devel
- rediff patch 2
- drop patch 0, 1
- new version

* Mon Mar 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-11mdk
- somehow fix bug #3248

* Fri Mar 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-10mdk
- build with system libsndfile

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-9mdk
- fix buildrequires

* Thu Feb 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-8mdk
- modified patch from CVS fix tempdir permissions, but use 700 instead of 777

* Thu Feb 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-7mdk
- buildrequires zlib-devel
- patch to fix startup if no configuration file was found

* Thu Feb 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-6mdk
- rebuild against wxGTK 2.4 (without unicode support)

* Sun Jan  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-5mdk
- fix the icons

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.1-4mdk
- rebuild for new glibc/rpm

* Fri Dec 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-3mdk
- update to the 1.1.1-3 tarball

* Tue Nov 19 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.1-2mdk
- fix Summary (David <find@jafind.com>)
- obsoletes hackaudacity

* Sat Nov 16 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.1-1mdk
- new version, drop patch0, patch1
- use --with-libmad=system, --with-vorbis=system, --with-id3tag=system
- no help file in new version
- parallel make fails - don't use macro

* Mon Jul 22 2002 Daouda LO <daouda@mandrakesoft.com> 1.0.0-3mdk
- recompile against new vorbis stuff

* Tue Jun 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-2mdk
- fix help file
- reenable id3lib

* Mon Jun 10 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- drop patch 0, not needed anymore
- uncompress png icons
- drop patch 1, no more id3lib
- fix %%doc
- 1.0.0
- wxGTK2.3

* Thu May 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.98-9mdk
- revert yesterday's id3lib change, it didn't work

* Wed May 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.98-8mdk
- autoconf2.5 macro
- drop id3lib patch
- patch to use system id3lib
- buildrequires wxGTK2.2-devel, doesn't build with the development version

* Tue May 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.98-7mdk
- don't buildrequire id3lib-devel, it's internal
- patch internal id3lib for gcc3.1 support
- rebuild with new gcc3.1

* Tue Mar 05 2002 Yves Duret <yduret@mandrakesoft.com> 0.98-6mdk
- macros and clean spec file.

* Thu Jan 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.98-5mdk
- clean up the doc section
- add help file
- buildrequires zip

* Tue Jan 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.98-4mdk
- audacity-fix-dspbusy-nonblock.patch.bz2 [Patch #0]
- buildrequires libmad-devel

* Sat Jan 26 2002 Yves Duret <yduret@mandrakesoft.com> 0.98-3mdk
- mad support

* Sat Jan 26 2002 Yves Duret <yduret@mandrakesoft.com> 0.98-2mdk
- now speak ogg/vorbis too. thanx gc

* Thu Jan 24 2002 Yves Duret <yduret@mandrakesoft.com> 0.98-1mdk
- version 0.98
- png icons
- spec clean up, macros,globbing

* Wed Nov 28 2001 Yves Duret <yduret@mandrakesoft.com> 0.97-3mdk
- added menu icons

* Thu Nov 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.97-2mdk
- rewrote description

* Tue Nov 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.97-1mdk
- first Mandrake release
